Bug 911803 - Gluster/Swift integration code should handle file system errors more gracefully
Gluster/Swift integration code should handle file system errors more gracefully
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thiago da Silva
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-15 21:19 EST by Peter Portante
Modified: 2014-12-14 14:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2013-02-15 21:19:44 EST
The underlying code which initiates the system calls for file system operations should do a better job of reducing log clutter (too many extra log entries makes it much too time consuming to find out what is happening), and should consider the errors more carefully, probing a bit to see if certain errors are transient rather than giving up right away.
Comment 2 Niels de Vos 2014-11-27 09:54:10 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.